"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var fs_1 = require("fs");
var ts = require("typescript");
function syntaxKindToName(kind) {
    return ts.SyntaxKind[kind];
}
function printAllChildren(node, depth) {
    if (depth === void 0) { depth = 0; }
    console.log(new Array(depth + 1).join('----'), syntaxKindToName(node.kind), node.pos, node.end);
    depth++;
    node.getChildren().forEach(function (c) { return printAllChildren(c, depth); });
}
var fileNames = process.argv.slice(2);
fileNames.forEach(function (fileName) {
    var sourceFile = ts.createSourceFile(fileName, fs_1.readFileSync(fileName).toString(), ts.ScriptTarget.ES6, true);
    printAllChildren(sourceFile);
});
